%global momorel 1
%global tarname gtksourceview
Summary: GtkSourceView is a text widget that extends the GtkTextView.
Name: gtksourceview2
Version: 2.2.2
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{tarname}/2.2/%{tarname}-%{version}.tar.bz2 
NoSource: 0
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: libgnomeprint22-devel >= 2.18.4
BuildPrereq: libgnomeprintui22-devel >= 2.18.2
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: libgnome-devel >= 2.22.0
BuildPrereq: libxml2-devel >= 2.6.31
BuildPrereq: gnome-vfs2-devel >= 2.22.0
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gnome-common
BuildPrereq: intltool
BuildPrereq: gtk-doc

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x
text widget GtkTextView.
                                                                               
It improves GtkTextView by implementing syntax highlighting and other
features typical of a source editor.

%package devel
Summary: gtksourceview-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: libgnome-devel
Requires: libxml2-devel

%description devel
gtksourceview-devel

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING README ChangeLog AUTHORS MAINTAINERS NEWS HACKING
%{_libdir}/lib*.so.*
%{_datadir}/locale/*/*/*
%{_datadir}/gtksourceview-2.0

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_includedir}/gtksourceview-2.0
%doc %{_datadir}/gtk-doc/html/gtksourceview-2.0

%changelog
* Mon Jun 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-2m)
- rename gtksourceview2

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.5-1m)
- update to 1.8.5

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.4-1m)
- update to 1.8.4

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.3-1m)
- update to 1.8.3

* Thu Oct  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.1-1m)
- update to 1.8.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.2-1m)
- update to 1.6.2

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.6.1-1m)
- update to 1.6.1

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- version up
- GNOME 2.12.1 Desktop

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.1-1m)
- version 1.1.1
- GNOME 2.8 Desktop

* Tue Dec 21 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.1-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Thu Apr 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.1-1m)
- version 1.0.1

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.0-1m)
- version 1.0.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.0-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.0-1m)
- version 0.7.0

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.6.0-1m)
- version 0.6.0

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Tue Jul 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-1m)
- version 0.4.0

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- version 0.3.0

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.1-1m)
- version 0.2.1

* Fri May  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.0-1m)
- version 0.2.0
